post
https://{instance_zuid}.api.zesty.io/v1/content/models//items//publishings
Creates a publishing record for a specific version of a content item. This makes a content item either published or scheduled for publishing depending on the publishAt value. Available request body property values.
Body: raw JSON
| name | description |
|---|---|
| version | [int] Required. The specific item version you want to be published |
| publishAt | [date] Required. The date that the item will be published. If "now" is provided, the item will be published immediately |
| unpublishAt | [date] Required. The date the item will be unpublished. If "never" is provided, the item will be published forever, starting from the publishAt date. |
CDN cache purging
By default, the API will purge CDN cache on an instance-level scope. If a website experienced instability after publishing an item, consider adding a purge scope in Settings or by using the Create Setting endpoint. The payload should be:
{
"category": "general",
"keyFriendly": "Purge Item Scope",
"key": "purge_item_scope",
"value": "model",
"admin": true,
"dataType": "dropdown",
"options": "instance:Instance-level scope;model:Model-level scope;item:Item-level scope",
"tips": "Changes the scope of purging the CDN cache when an item is published or unpublished."
}
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
